
Redmine - Defect #11304

Issue-class: status-1, status-2 etc. refer to status position instead of status id

2012-07-02 12:41 - Peter Schuler

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version:  

Description

There are additional classes in the html code for issues, like the one for status. But the number is generated by position instead of id.

I'd think intended behavior would be to generate those by id.

Steps for reproduction:

Add a theme/css with status color coding, e.g.:

/* use MantisBT style coloring by status */

table.issues tr.status-1 { background: #fcc; } /* new */

table.issues tr.status-2 { background: #cdf; } /* assigned / in progress */

table.issues tr.status-3 { background: #dfd; } /* resolved */

table.issues tr.status-4 { background: #fdf; } /* feedback */

table.issues tr.status-5 { background: #eee; } /* closed */

table.issues tr.status-6 { background: #fd6; } /* rejected */

Add a new ticket status and move it's position to No.1 - all colors would be mixed up.    

Additional thoughts:

If this is intended (didn't find any documentation) it might be needed for some JavaScript sorting, however even in that case it would

be better to have a more distinguished name or supply both (like status-1 and statusid-3 or something similar).

Associated revisions

Revision 10078 - 2012-07-26 18:50 - Jean-Philippe Lang

Changed issues css class from status-{position} to status-{id} (#11304).

History

#1 - 2012-07-04 12:12 - Mischa The Evil

- Resolution set to Duplicate

Looks like it's the same as #2071?

#2 - 2012-07-04 12:27 - Peter Schuler

Sorry, that ticket didn't came up in my searches.

The concept behind the issue is the same, however this one refers to status instead of priority. IMHO this is a little bit more serious with status,

because status refers to an nominal scale and priority refers to an ordinal scale.

But I agree that a simple workaround is to use priority=ID so that it has low severity.

#3 - 2012-07-04 21:32 - Jean-Philippe Lang

- Target version set to 2.1.0

Agreed.

#4 - 2012-07-26 18:51 - Jean-Philippe Lang

- Category set to UI

- Status changed from New to Closed
https://www.redmine.org/issues/2071


- Assignee set to Jean-Philippe Lang

- Resolution changed from Duplicate to Fixed

Change done in r10078.

#5 - 2016-09-06 16:38 - Michel Albert

Jean-Philippe Lang wrote:

Change done in r10078.

 I've just run into the same issue. Had a look at r10078 and wonder if priority does not have the same issue?

#6 - 2016-09-07 02:11 - Mischa The Evil

Michel Albert wrote:

[...] Had a look at r10078 and wonder if priority does not have the same issue?

 It had and it was fixed in a similar way in r10079 for #2071 (note that the commit message contains a typo; read: priority-{id} instead of status-{id}).
